<template>
  <q-dialog
    v-model="agreement"
  >
    <q-card>
      <q-card-section class="row items-center">
        <q-avatar
          icon="warning"
          color="red"
          text-color="white"
        />
        <span class="q-ml-md"><b>Automatic anonymization failed or is unsupported for some slides.<br>If these slides are already anonymized, you can choose to continue.<br>Otherwise, remove failed and unsupported slides and start again.</b></span>
      </q-card-section>

      <q-card-actions align="right">
        <q-btn
          flat
          label="Cancel"
          @click="agreement=false"
        />
        <q-btn
          flat
          label="Remove"
          @click="acceptRemoval"
        />
        <q-btn
          flat
          label="Continue"
          @click="acceptAgreement"
        />
      </q-card-actions>
    </q-card>
  </q-dialog>
</template>

<script>
export default {
  name: 'UploadAgreement',
  data: function () {
    return {
      agreement: false
    }
  },
  methods: {
    acceptAgreement () {
      this.$emit('accepted')
      this.agreement = false
    },
    acceptRemoval () {
      this.$emit('acceptedRemoval')
      this.agreement = false
    }
  }
}
</script>
